package com.hai.service.impl;

import com.hai.dao.SecSinopecConfigMapper;

import com.hai.entity.SecSinopecConfig;
import com.hai.entity.SecSinopecConfigExample;
import com.hai.service.SecSinopecConfigService;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import java.util.List;
import java.util.Map;

@Service("secSinopecConfigService")
public class SecSinopecConfigServiceImpl implements SecSinopecConfigService {

    @Resource
    private SecSinopecConfigMapper secSinopecConfigMapper;

    @Override
    public List<SecSinopecConfig> getListSinopecConfig(Map<String, String> map) {

        SecSinopecConfigExample example = new SecSinopecConfigExample();
        SecSinopecConfigExample.Criteria criteria = example.createCriteria();

        return secSinopecConfigMapper.selectByExample(example);
    }

    @Override
    public SecSinopecConfig findById(Integer sinopecId) {
        return secSinopecConfigMapper.selectByPrimaryKey(sinopecId);
    }

    @Override
    public void updateSinopec(SecSinopecConfig secSinopecConfig) {
        secSinopecConfigMapper.updateByPrimaryKey(secSinopecConfig);
    }

    @Override
    public void insertSinopec(SecSinopecConfig secSinopecConfig) {
        secSinopecConfigMapper.insert(secSinopecConfig);
    }
}
